Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::G::SignalBase Class Reference

Base class for the GTK+ C++ signal interface. More...

`#include <xfc/glib/signals.hh>`

Inheritance diagram for Xfc::G::SignalBase:

List of all members.

## Public Member Functions

- const char * name () const
    Returns the name of the signal.
- void stop_emission (TypeInstance *instance)
    Stops the signal's current emission.

## Protected Types

- typedef sigc::slot_base SlotBase
    The base class for all sigc::slot's.

## Protected Member Functions

- SignalBase (const char *name, GCallback callback)
    Constructor.
- ~SignalBase ()
    Destructor.
- void connect (TypeInstance *instance, const SlotBase &slot, const char *detail, bool after) const
    Connects slot to this signal through the callback specified in the constructor.

## Detailed Description

Base class for the GTK+ C++ signal interface.

## Constructor & Destructor Documentation

Xfc::G::SignalBase::SignalBase | ( | const char * | name,
|  | GCallback | callback
| ) | `[protected]`

Constructor.

Parameters:

  | name | The GTK+ name for the signal.
  | callback | The callback function to translate GObject signal emissions into sigc::slot calls.

## Member Function Documentation

void Xfc::G::SignalBase::connect | ( | TypeInstance * | instance,
|  | const SlotBase & | slot,
|  | const char * | detail,
|  | bool | after
| ) | const`[protected]`

Connects slot to this signal through the callback specified in the constructor.

Parameters:

  | instance | The object instance containing the signal.
  | slot | The sigc::slot to connect to the signal.
  | detail | The detail string to append to the signal name.
  | after | Set true to call the user-defined slot after the signal, or false to let the signal's default behavior preside.

void Xfc::G::SignalBase::stop_emission | ( | TypeInstance * | instance | ) |

Stops the signal's current emission.

Parameters:

  | instance | The object whose signal handlers you wish to stop.

This will prevent the default method from running, if the signal was G_SIGNAL_RUN_LAST and you connected normally (i.e. without the "after" flag). Prints a warning if used on a signal which isn't being emitted.

The documentation for this class was generated from the following file:

- signals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3